> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Close Ticket Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/support/tickets/{ticket_id}/close
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/support/tickets/{ticket_id}/close:
    post:
      tags:
        - Support API
      summary: Close Ticket Endpoint
      operationId: close_ticket_endpoint_api_v1_org_support_tickets__ticket_id__close_post
      parameters:
        - in: path
          name: ticket_id
          required: true
          schema:
            format: uuid4
            title: Ticket Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ticket'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    Ticket:
      properties:
        ai_review_status:
          $ref: '#/components/schemas/AIReviewStatus'
        ai_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Ai Summary
        attachments:
          items:
            $ref: '#/components/schemas/TicketAttachment'
          title: Attachments
          type: array
        category:
          $ref: '#/components/schemas/TicketCategory'
        cluster_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Cluster Id
        cluster_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Name
        comments:
          items:
            $ref: '#/components/schemas/TicketComment'
          title: Comments
          type: array
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          title: Description
          type: string
        id:
          format: uuid
          title: Id
          type: string
        is_tracked_by_team:
          default: false
          title: Is Tracked By Team
          type: boolean
        organisation_id:
          format: uuid
          title: Organisation Id
          type: string
        severity:
          anyOf:
            - $ref: '#/components/schemas/TicketSeverity'
            - type: 'null'
        source:
          $ref: '#/components/schemas/TicketSource'
        status:
          $ref: '#/components/schemas/TicketStatus'
        subject:
          title: Subject
          type: string
        ticket_number:
          title: Ticket Number
          type: integer
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - ticket_number
        - organisation_id
        - source
        - category
        - subject
        - description
        - status
        - ai_review_status
        - created_at
        - updated_at
      title: Ticket
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AIReviewStatus:
      enum:
        - pending
        - passed
        - flagged
      title: AIReviewStatus
      type: string
    TicketAttachment:
      properties:
        content_type:
          title: Content Type
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        filename:
          title: Filename
          type: string
        id:
          format: uuid
          title: Id
          type: string
        size_bytes:
          title: Size Bytes
          type: integer
      required:
        - id
        - filename
        - content_type
        - size_bytes
        - created_at
      title: TicketAttachment
      type: object
    TicketCategory:
      enum:
        - technical
        - account
        - billing
        - bug
        - feature_request
        - other
      title: TicketCategory
      type: string
    TicketComment:
      properties:
        author_label:
          title: Author Label
          type: string
        author_type:
          $ref: '#/components/schemas/CommentAuthorType'
        body:
          title: Body
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          format: uuid
          title: Id
          type: string
      required:
        - id
        - author_type
        - author_label
        - body
        - created_at
      title: TicketComment
      type: object
    TicketSeverity:
      enum:
        - low
        - medium
        - high
        - critical
      title: TicketSeverity
      type: string
    TicketSource:
      enum:
        - portal
        - api
        - cli
        - agent
      title: TicketSource
      type: string
    TicketStatus:
      enum:
        - pending_review
        - open
        - triaging
        - in_progress
        - waiting_customer
        - resolved
        - closed
      title: TicketStatus
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    CommentAuthorType:
      enum:
        - customer
        - ankra_team
        - ai
        - system
      title: CommentAuthorType
      type: string

````